org.eclipse.ecf.provider.comm

## Class AsynchEvent

- java.lang.Object
- - org.eclipse.ecf.provider.comm.ConnectionEvent
  - - org.eclipse.ecf.provider.comm.AsynchEvent

All Implemented Interfaces:
  Event

    public class AsynchEvent
    extends ConnectionEvent

Asynchronous connection event class. Extends ConnectionEvent

### Constructor Summary

Constructors
Constructor and Description
`AsynchEvent(IAsynchConnection conn, Object data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.eclipse.ecf.provider.comm.ConnectionEvent

`getConnection, getData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AsynchEvent

    public AsynchEvent(IAsynchConnection conn,
                       Object data)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `ConnectionEvent`